Delete fulfillmentOrder from picking batch
DELETE
/merchants/{merchantCode}/pickingBatches/{pickingBatchId}/fulfillmentOrders
const url = 'https://order.shopgate.io/v1/merchants/example/pickingBatches/example/fulfillmentOrders';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"fulfillmentOrderNumbers":["10001-0001"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://order.shopgate.io/v1/merchants/example/pickingBatches/example/fulfillmentOrders \ --header 'Content-Type: application/json' \ --data '{ "fulfillmentOrderNumbers": [ "10001-0001" ] }'Delete fulfillmentOrder from picking batch
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Unique merchant code which represents the unique “merchant account”.
pickingBatchId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
fulfillmentOrderNumbers
required
Array<string>
Responses
Section titled “Responses”Fulfillment order removed from PickingBatch
Media typeapplication/json
object
errors
Array<object>
object
entityIndex
number
entity
string
entityId
string
code
number
message
string
subentityPath
Array<string | null | number>
Examplegenerated
{ "errors": [ { "entityIndex": 1, "entity": "example", "entityId": "example", "code": 1, "message": "example", "subentityPath": [ "example" ] } ]}Merchant or Picking Batch not found
Media typeapplication/json

